Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29125 - Restore NonGuiMain or equivalent
Restore NonGuiMain or equivalent
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 19443 30017
  Show dependency treegraph
 
Reported: 2002-11-28 14:32 UTC by Jesse Glick
Modified: 2008-12-22 15:47 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-11-28 14:32:07 UTC
I.e. some way to run in command-line mode with a
scripting interpreter etc.

#19443 fix broke NonGuiMain since it can no longer
use execution, etc.

#29124 would be the preferred solution. Or as a
shorter-term fix, make NbTM.register take
precedence over META-INF services (see NbTM.Lkp impl).
Comment 1 Jaroslav Tulach 2005-06-04 06:46:34 UTC
I am not sure this is still relevant. The ide can be started in nongui mode. 
This is used by unit tests in non-gui mode in core and core/windows. The trick 
is to pass --nogui argument on command line. 
Comment 2 Jesse Glick 2005-06-06 19:44:06 UTC
I don't know if it is still relevant either - probably not - though WONTFIX
would be more appropriate since AFAIK NonGuiMain did things besides just --nogui
(had a scripting interpreter built in).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo